Subject: FvwmEvent doc bugs

From: [email-masked]
Date: Sun, 21 Feb 1999 13:03:22 -0600 (CST)

Full_Name: Michael Han
Version: 
CVS_Date: Feb 19 1999
OS: RedHat Linux 4
X_Server: Accelerated X 2.1
Submission from: (NULL) (206.86.216.254)

FvwmEvent's manpage incorrectly states that commands like /rsynth/say can
be
invoked by giving:

*FvwmEventCmd /rsynth/say

which is untrue, since the Cmd expression gets passed to the fvwm2 core
for
handling. Hence the correct syntax for external execution would be:

*FvwmEventCmd Exec exec /rsynth/say

I updated the manpage to reflect this. I also cleaned up things to use the
current canonical exec form, 'Exec exec'. Here's a diff -c that corrects
this:

<<EventManPage
*** modules/FvwmEvent/FvwmEvent.1.orig  Sun Feb 21 01:02:40 1999
--- modules/FvwmEvent/FvwmEvent.1       Sun Feb 21 01:05:39 1999
***************
*** 56,68 ****
  .sp
        *FvwmEventCmd \fIbuiltin-rplay\fP       
                                play sounds
-       *FvwmEventCmd \fI/rsynth/say\fP 
-                               tell the user, what he did
        *FvwmEventCmd \fIEcho\fP                
                                echo to fvwm2 stdout
        *FvwmEventCmd
                                execute distinct fvwm2 functions
!       *FvwmEventCmd exec              
                                execute distinct external programs
  .sp
  .fi
--- 56,66 ----
  .sp
        *FvwmEventCmd \fIbuiltin-rplay\fP       
                                play sounds
        *FvwmEventCmd \fIEcho\fP                
                                echo to fvwm2 stdout
        *FvwmEventCmd
                                execute distinct fvwm2 functions
!       *FvwmEventCmd Exec exec foo
                                execute distinct external programs
  .sp
  .fi
***************
*** 86,92 ****
  e.g: the rsynth 'say' command: 
  .nf
  .sp
!       *FvwmEventCmd /rsynth/say
        *FvwmEvent destroy_window "window closed"
  .sp
  .fi
--- 84,90 ----
  e.g: the rsynth 'say' command: 
  .nf
  .sp
!       *FvwmEventCmd Exec exec /rsynth/say
        *FvwmEvent destroy_window "window closed"
  .sp
  .fi
***************
*** 198,204 ****
  
  FvwmAudioPlayCmd used to call an external program.
  FvwmEventCmd calls an \fBfvwm2\fP function. External programs can be
called
! using the \fBfvwm2\fP exec function "exec program".
  
  FvwmAudioDir has been removed due to the fact that the parameters
  don't have to be files any more.
--- 196,202 ----
  
  FvwmAudioPlayCmd used to call an external program.
  FvwmEventCmd calls an \fBfvwm2\fP function. External programs can be
called
! using the \fBfvwm2\fP Exec function "Exec exec program".
  
  FvwmAudioDir has been removed due to the fact that the parameters
  don't have to be files any more.
***************
*** 206,212 ****
  .nf
  .sp
        DestroyFunc mysay
!       AddToFunc mysay "I" exec /rsynth/say /rsynth/audiofiles/$1
  
        *FvwmEventCmd mysay
  .sp
--- 204,210 ----
  .nf
  .sp
        DestroyFunc mysay
!       AddToFunc mysay "I" Exec exec /rsynth/say /rsynth/audiofiles/$1
  
        *FvwmEventCmd mysay
  .sp
EventManPage

--
Visit the official FVWM web page at <URL:http://fvwm.math.uh.edu/>.
To unsubscribe from the list, send "unsubscribe fvwm-workers" in the
body of a message to [email-masked].
To report problems, send mail to [email-masked].